local StopHealingMobs = LibStub("AceAddon-3.0"):NewAddon("StopHealingMobs", "AceEvent-3.0", "LibSink-2.0")
local L = LibStub:GetLibrary("AceLocale-3.0"):GetLocale("StopHealingMobs")
local addon = StopHealingMobs
local counter = 0
local fmt = _G.string.format
local db

local defaults = {
	profile = {
		sinkOptions = {
			sink20OutputSink = "ChatFrame",
		},
	},
}

local options = {
	type = 'group',
	args = {
		output = addon:GetSinkAce3OptionsDataTable(),
	},
}

function addon:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("StopHealingMobsDB", defaults, "Default")
	db = self.db.profile
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("StopHealingMobs", options)
	self:SetSinkStorage(self.db.profile.sinkOptions)

	local optFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("StopHealingMobs", "StopHealingMobs")
end

function addon:OnEnable()
	self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
end

function addon:OnDisable()
	self:UnregisterAllEvents()
end

function addon:PLAYER_ZONE_CHANGED()

end

function addon:COMBAT_LOG_EVENT_UNFILTERED(event, timestamp, eventType, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags, spellID, spellName, spellFlags, amount, ...)
	if eventType == "SPELL_HEAL" and spellID == 63276 then 
		counter = counter + amount	
	elseif eventType == "SPELL_AURA_REMOVED" and spellID == 63276 then
		self:Pour(fmt(L["output"], spellName, dstName, srcName, counter))
		counter = 0	
	elseif eventType == "UNIT_DIED" then
		
	end
end
